Page MenuHomePhabricator

CommonsMetadata should parse EXIF dates
Closed, ResolvedPublic

Description

EXIF dates are formatted "YYYY:MM:DD HH:MM:SS" [1]. This is a very weird format which date parsers usually cannot deal with, so CommonsMetadata should parse it and return dates in a more standard format. (It should also handle weird things like " : : : : " or "0000:00:00 00:00:00" (see T28090).

[1] http://www.awaresystems.be/imaging/tiff/tifftags/privateifd/exif/datetimeoriginal.html


Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:11 AM
bzimport added a project: CommonsMetadata.
bzimport set Reference to bz64014.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Apr 16 2014, 8:06 PM
Tgr added a comment.Oct 6 2014, 8:12 AM
  • Bug 71690 has been marked as a duplicate of this bug. ***
Gilles triaged this task as Medium priority.Nov 24 2014, 1:53 PM
Gilles added a subscriber: Gilles.
Tgr updated the task description. (Show Details)
Tgr set Security to None.

Ideally "a more standard format" would be ISO 8601, like all other timestamps returned by the API

Krinkle removed a subscriber: Krinkle.Dec 10 2014, 2:46 PM

Change 182061 had a related patch set uploaded (by Unicodesnowman):
Parse standard date formats with wfTimestamp()

https://gerrit.wikimedia.org/r/182061

Patch-For-Review

Change 182061 merged by jenkins-bot:
Parse standard date formats with wfTimestamp()

https://gerrit.wikimedia.org/r/182061

Tgr closed this task as Resolved.Dec 30 2014, 5:40 AM
Tgr claimed this task.